# Interface IRecordingAlertArchiveRepository

Namespace
  adas_core.Application.Repositories.Interfaces

Assembly
  adas-core.Application.dll

    public interface IRecordingAlertArchiveRepository : IMongoRepository<PatientRecordingAlert>

Inherited Members
  IMongoRepository<PatientRecordingAlert>.Collection
  IMongoRepository<PatientRecordingAlert>.GetCollectionName()
  IMongoRepository<PatientRecordingAlert>.DeleteAsync(ObjectId)
  IMongoRepository<PatientRecordingAlert>.UpdateOneAsync(ObjectId, PatientRecordingAlert)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### DeleteBeforeDate(DateTime)

Asynchronously deletes records that have a date earlier than the specified threshold.

    Task DeleteBeforeDate(DateTime date)

#### Parameters

`date` DateTime

  The cutoff date; records with a date value before this will be removed.

#### Returns

Task

### InsertBatch(IEnumerable<PatientRecordingAlert>)

Inserts a batch of PatientRecordingAlert entities into the data store in a single operation.

    Task<long> InsertBatch(IEnumerable<PatientRecordingAlert> recordingAlerts)

#### Parameters

`recordingAlerts` IEnumerable<PatientRecordingAlert>

  The collection of patient recording alerts to insert.

#### Returns

Task<long>

  A task that represents the asynchronous batch insert operation, containing the number of affected or inserted records.

### InsertOneAsync(PatientRecordingAlert)

Inserts a new patient recording alert into the underlying data store asynchronously.

    Task InsertOneAsync(PatientRecordingAlert recordingAlert)

#### Parameters

`recordingAlert` PatientRecordingAlert

  The patient recording alert to be inserted.

#### Returns

Task